# $Revision: 1.13 $, $Date: 2008-06-14 10:23:20 $
Summary:	Layer on top of PKCS#11 API to make using PKCS#11 implementations easier
Summary(pl.UTF-8):	Warstwa powyżej API PKCS#11 ułatwiająca używanie implementacji PKCS#11
Name:		libp11
Version:	0.2.3
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opensc-project.org/files/libp11/%{name}-%{version}.tar.gz
# Source0-md5:	28ee2fc73fd82fbaa4a0670c972ca191
URL:		http://www.opensc-project.org/libp11/
BuildRequires:	libltdl-devel
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API
to make using PKCS#11 implementations easier.

%description -l pl.UTF-8
Libp11 to biblioteka implementująca niewielką warstwę na wierzchu API
PKCS#11 mająca ułatwić używanie implementacji PKCS#11.

%package devel
Summary:	Header files for libp11 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libp11
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libltdl-devel
Requires:	openssl-devel >= 0.9.7

%description devel
Header files for libp11 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libp11.

%package static
Summary:	Static libp11 library
Summary(pl.UTF-8):	Statyczna biblioteka libp11
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libp11 library.

%description static -l pl.UTF-8
Statyczna biblioteka libp11.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -af examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS doc/{ChangeLog,README,*.html,*.css}
%attr(755,root,root) %{_libdir}/libp11.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/api/*
%attr(755,root,root) %{_libdir}/libp11.so
%{_libdir}/libp11.la
%{_includedir}/libp11.h
%{_pkgconfigdir}/libp11.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libp11.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libp11.spec,v $
Revision 1.13  2008-06-14 10:23:20  arekm
- rel 2

Revision 1.12  2007-08-12 00:03:28  qboosh
- updated to 0.2.3
- require openssl with pkgconfig support (>= 0.9.7)

Revision 1.11  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.9  2007/01/01 11:48:57  arekm
- rel 2

Revision 1.8  2006/06/02 08:56:36  qboosh
- updated to 0.2.2

Revision 1.7  2006/03/21 08:49:30  qboosh
- updated URLs

Revision 1.6  2006/01/09 09:27:06  qboosh
- updated Source0 URL

Revision 1.5  2005/11/24 09:28:52  qboosh
- added ChangeLog to docs

Revision 1.4  2005/11/24 09:24:03  qboosh
- updated to 0.2.1

Revision 1.3  2005/11/07 11:35:31  qboosh
- updated to 0.2.0

Revision 1.2  2005/10/12 08:57:20  qboosh
- more specific URL

Revision 1.1  2005/10/06 12:44:36  qboosh
- new
